> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Organization Invite

> Creates an invite link for joining an organization.

`Unary` · [`Organizations`](/docs/api-reference/generated/organization/overview)

Creates an invite link for joining an organization.
Any existing OrganizationInvites are invalidated and can no longer be used.

Use this method to:

* Generate shareable invite links
* Manage team growth
* Control organization access

### Examples

* Create organization invite:

  Generates a new invite link for the organization.

  ```yaml theme={null}
  organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.OrganizationService/CreateOrganizationInvite
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.OrganizationService/CreateOrganizationInvite" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "organizationId": "<organization-id>"
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.organization_pb2 as organization_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = organization_pb2.CreateOrganizationInviteRequest(
      organization_id="<organization-id>",
  )
  response = ona.services.organization.create_organization_invite(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { CreateOrganizationInviteRequestSchema } from "@gitpod/sdk/gitpod/v1/organization_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(CreateOrganizationInviteRequestSchema, {
      organizationId: "<organization-id>",
    });
    const response = await ona.services.organization.createOrganizationInvite(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.CreateOrganizationInviteRequest{
  		OrganizationId: "<organization-id>",
  	})
  	response, err := ona.Services.Organization.CreateOrganizationInvite(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "organizationId": "<organization-id>"
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.CreateOrganizationInviteRequest`

| Field            | Type   | Required | Description                                     |
| ---------------- | ------ | -------- | ----------------------------------------------- |
| `organizationId` | string | Yes      | Constraints: `required=true, string.uuid=true`. |

## Response

`gitpod.v1.CreateOrganizationInviteResponse`

| Field    | Type                                                      | Required | Description                   |
| -------- | --------------------------------------------------------- | -------- | ----------------------------- |
| `invite` | [OrganizationInvite](#type-gitpod-v1-organization-invite) | Yes      | Constraints: `required=true`. |

## Related types

<a id="type-gitpod-v1-organization-invite" />

<Accordion title="OrganizationInvite">
  `gitpod.v1.OrganizationInvite`

  | Field      | Type   | Required | Description                                                                                                                                                                             |
  | ---------- | ------ | -------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `inviteId` | string | Yes      | invite\_id is the unique identifier of the invite to join the organization. Use JoinOrganization with this ID to join the organization. Constraints: `required=true, string.uuid=true`. |
</Accordion>
